Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The plugin API allows us to easily add tabs to the project menu (i.e. along with Issues, New Issue, News, Wiki, Forums, ..etc). It

would be great if we could add a corresponding tab under settings to allow project managers to configure per-project settings for that

tab (as opposed to the global configs which are only accessible in the global administration panel).

Related issues:

Related to Redmine - Patch #8332: Hook for project_settings_tab New 2011-05-10

History

#1 - 2009-07-31 02:20 - Eric Davis

- Category set to Plugin API

#2 - 2010-11-24 22:55 - John Yani

Any news on this?

How a user's supposed to configure a plugin?

#3 - 2011-09-02 21:52 - Andriy Lesyuk

Related to #8332

I also wrote a plugin to simplify adding tabs: http://projects.andriylesyuk.com/projects/redmine-settings
